package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TFallSolve;

/**
 * 跌倒告警Mapper接口
 * 
 * @author zhengjie
 * @date 2023-09-09
 */
public interface TFallSolveMapper 
{
    /**
     * 查询跌倒告警
     * 
     * @param id 跌倒告警主键
     * @return 跌倒告警
     */
    public TFallSolve selectTFallSolveById(Integer id);

    /**
     * 查询跌倒告警列表
     * 
     * @param tFallSolve 跌倒告警
     * @return 跌倒告警集合
     */
    public List<TFallSolve> selectTFallSolveList(TFallSolve tFallSolve);

    /**
     * 新增跌倒告警
     * 
     * @param tFallSolve 跌倒告警
     * @return 结果
     */
    public int insertTFallSolve(TFallSolve tFallSolve);

    /**
     * 修改跌倒告警
     * 
     * @param tFallSolve 跌倒告警
     * @return 结果
     */
    public int updateTFallSolve(TFallSolve tFallSolve);

    /**
     * 删除跌倒告警
     * 
     * @param id 跌倒告警主键
     * @return 结果
     */
    public int deleteTFallSolveById(Integer id);

    /**
     * 批量删除跌倒告警
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTFallSolveByIds(Integer[] ids);
}
